function meanSize = printMeanSize(data, nameString, sizeFactor)
if ~exist('sizeFactor', 'var')
    sizeFactor = 1.0;
end

if ~isempty(nameString)
disp(['Mean size, weighted by number [' nameString ']: ' num2str(...
    sum(sizeFactor*data.sizeVector.*data.countVector) / ...
    sum(data.countVector))]);
disp(['Mean size, weighted by volume [' nameString ']: ' num2str(...
    sum(sizeFactor*data.sizeVector.*data.volFractionVector) / ...
    sum(data.volFractionVector))]);
end

data.countVector(sizeFactor*data.sizeVector < 100) = 0;
meanSize = sum(sizeFactor*data.sizeVector.*data.countVector) / ...
    sum(data.countVector);
if ~isempty(nameString)
disp(['Corrected mean size, weighted by number [' nameString ']: ' num2str(...
    meanSize)]);
end
